| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Member Functions | Protected Attributes | Properties | List of all members
IG.Neural.MappingDefinition Class Reference

Definition of input and output data mapping. Contains Mapped and Original Index, descriptiove information about individual eleemnts of input and output and default valuess. More...

## Public Member Functions
virtual InputMappingDefinitionElement | GetMapInputElement (int which)
virtual OutputMappingDefinitionElement | GetMapOutputElement (int which)
virtual void | SetMapInputElement (int which, InputMappingDefinitionElement element)
virtual void | SetMapOutputElement (int which, OutputMappingDefinitionElement element)
virtual void | AddInputElement (InputMappingDefinitionElement element)
virtual void | AddOutputElement (OutputMappingDefinitionElement element)
bool | IsInputDataConsistent ()
bool | IsOutputDataConsistent ()
bool | IsInputDataConsistent (InputOutputDataDefiniton dataDefinition)
bool | IsOutputDataConsistent (InputOutputDataDefiniton dataDefinition)

## Static Public Member Functions
static void | SaveJson (MappingDefinition mapDataDef, string filePath)
| Saves mapping data definition to the specified JSON file. File is owerwritten if it exists. More...
static void | LoadJson (string filePath, ref MappingDefinition mapDataDefRestored)
| Restores mapping data definition from the specified file in JSON format. More...
static MappingDefinition | CreateExample (int inputLength, int outputLenght)
| Creates and returns an example mapping data definition. More...

## Protected Attributes
bool | _checkInputUniqueness
bool | _checkOutputUniqueness
bool | _checkInputNameConsistency
bool | _checkOutputNameConsistency
List < InputMappingDefinitionElement > | _input = new List<InputMappingDefinitionElement>()
List < OutputMappingDefinitionElement > | _output = new List<OutputMappingDefinitionElement>()

## Properties
int | MappedInputLength`[get]`
| Gets number of input parameters. More...
int | MappedOutputLength`[get]`
| Gets number of output values. More...
bool | CheckInputUniqueness`[get, set]`
| Gets true if original and mapped input element indexes are unique. More...
bool | CheckOutputUniqueness`[get, set]`
| Gets true if original and mapped output element indexes are unique. More...
bool | CheckInputNameConsistency`[get, set]`
| Gets true if names in mappingdata file and names in definitiondata file are consistent. More...
bool | CheckOutputNameConsistency`[get, set]`
| Gets true if names in mappingdata file and names in definitiondata file are consistent. More...
virtual List < InputMappingDefinitionElement > | MapInputElementList`[get]`
virtual List < OutputMappingDefinitionElement > | MapOutputElementList`[get]`

## Detailed Description

Definition of input and output data mapping. Contains Mapped and Original Index, descriptiove information about individual eleemnts of input and output and default valuess.

$A Igor Jul 19; tako78 Jul 19

## Member Function Documentation

virtual InputMappingDefinitionElement IG.Neural.MappingDefinition.GetMapInputElement | ( | int | which | ) |
| inline virtual

Referenced by IG.Neural.DataMapperSimple.MapInput().

virtual OutputMappingDefinitionElement IG.Neural.MappingDefinition.GetMapOutputElement | ( | int | which | ) |
| inline virtual

Referenced by IG.Neural.DataMapperSimple.MapOutput().

virtual void IG.Neural.MappingDefinition.SetMapInputElement | ( | int | which,
|  | InputMappingDefinitionElement | element
| ) |  |
| inline virtual

virtual void IG.Neural.MappingDefinition.SetMapOutputElement | ( | int | which,
|  | OutputMappingDefinitionElement | element
| ) |  |
| inline virtual

virtual void IG.Neural.MappingDefinition.AddInputElement | ( | InputMappingDefinitionElement | element | ) |
| inline virtual

Referenced by IG.Neural.MappingDefinition.CreateExample().

virtual void IG.Neural.MappingDefinition.AddOutputElement | ( | OutputMappingDefinitionElement | element | ) |
| inline virtual

Referenced by IG.Neural.MappingDefinition.CreateExample().

bool IG.Neural.MappingDefinition.IsInputDataConsistent | ( |  | ) |
| inline

Returns
  Gets true if original and mapped input element indexes are unique.

$A Igor Jul 19; tako78 Jul 19

References IG.Neural.MappingDefinitionElement.MappedElementIndex, and IG.Neural.MappingDefinitionElement.OriginalElementIndex.

bool IG.Neural.MappingDefinition.IsOutputDataConsistent | ( |  | ) |
| inline

Returns
  Gets true if original and mapped output element indexes are unique.

$A Igor Jul 19; tako78 Jul 19

References IG.Neural.MappingDefinitionElement.MappedElementIndex, and IG.Neural.MappingDefinitionElement.OriginalElementIndex.

bool IG.Neural.MappingDefinition.IsInputDataConsistent | ( | InputOutputDataDefiniton | dataDefinition | ) |
| inline

Parameters

  dataDefinition | Definition data.

Returns
  Gets true if names in mappingdata file and names in definitiondata file are consistent.

$A Igor Jul 19; tako78 Jul 19

References IG.Num.InputOutputDataDefiniton.GetInputElement(), IG.Num.InputOutputElementDefinition.Name, IG.Neural.MappingDefinitionElement.OriginalElementIndex, and IG.Neural.MappingDefinitionElement.OriginalName.

bool IG.Neural.MappingDefinition.IsOutputDataConsistent | ( | InputOutputDataDefiniton | dataDefinition | ) |
| inline

Parameters

  dataDefinition | Definition data.

Returns
  Gets true if names in mappingdata file and names in definitiondata file are consistent.

$A Igor Jul 19; tako78 Jul 19

References IG.Num.InputOutputDataDefiniton.GetOutputElement(), IG.Num.InputOutputElementDefinition.Name, IG.Neural.MappingDefinitionElement.OriginalElementIndex, and IG.Neural.MappingDefinitionElement.OriginalName.

static void IG.Neural.MappingDefinition.SaveJson | ( | MappingDefinition | mapDataDef,
|  | string | filePath
| ) |  |
| inline static

Saves mapping data definition to the specified JSON file. File is owerwritten if it exists.

Parameters

  mapDataDef | Object that is saved to a file.
  filePath | Path to the file where data is saved.

$A Igor Jul 19; tako78 Jul 19

static void IG.Neural.MappingDefinition.LoadJson | ( | string | filePath,
|  | ref MappingDefinition | mapDataDefRestored
| ) |  |
| inline static

Restores mapping data definition from the specified file in JSON format.

Parameters

  filePath | File from which training data is restored.
  mapDataDefRestored | Mapping definition data that is restored by deserialization.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.DataMapperSimple.DataMapperSimple(), and IG.Neural.MappingApproximationFileManager.LoadMappingDefinition().

static MappingDefinition IG.Neural.MappingDefinition.CreateExample | ( | int | inputLength,
|  | int | outputLenght
| ) |  |
| inline static

Creates and returns an example mapping data definition.

Parameters

  inputLength | Number of input elements.
  outputLenght | Number of output elements.

$A Igor Jul 19; tako78 Jul 19

References IG.Neural.MappingDefinition.AddInputElement(), and IG.Neural.MappingDefinition.AddOutputElement().

## Member Data Documentation

bool IG.Neural.MappingDefinition._checkInputUniqueness
| protected

bool IG.Neural.MappingDefinition._checkOutputUniqueness
| protected

bool IG.Neural.MappingDefinition._checkInputNameConsistency
| protected

bool IG.Neural.MappingDefinition._checkOutputNameConsistency
| protected

List<InputMappingDefinitionElement> IG.Neural.MappingDefinition._input = new List<InputMappingDefinitionElement>()
| protected

List<OutputMappingDefinitionElement> IG.Neural.MappingDefinition._output = new List<OutputMappingDefinitionElement>()
| protected

## Property Documentation

int IG.Neural.MappingDefinition.MappedInputLength
| get

Gets number of input parameters.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapDataDefinitionDto.CopyFromPlain(), and IG.Neural.DataMapperSimple.MapInput().

int IG.Neural.MappingDefinition.MappedOutputLength
| get

Gets number of output values.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapDataDefinitionDto.CopyFromPlain(), and IG.Neural.DataMapperSimple.MapOutput().

bool IG.Neural.MappingDefinition.CheckInputUniqueness
| get set

Gets true if original and mapped input element indexes are unique.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapDataDefinitionDto.CopyFromPlain(), and IG.Neural.DataMapperSimple.MapInput().

bool IG.Neural.MappingDefinition.CheckOutputUniqueness
| get set

Gets true if original and mapped output element indexes are unique.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapDataDefinitionDto.CopyFromPlain(), and IG.Neural.DataMapperSimple.MapOutput().

bool IG.Neural.MappingDefinition.CheckInputNameConsistency
| get set

Gets true if names in mappingdata file and names in definitiondata file are consistent.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapDataDefinitionDto.CopyFromPlain(), and IG.Neural.DataMapperSimple.MapInput().

bool IG.Neural.MappingDefinition.CheckOutputNameConsistency
| get set

Gets true if names in mappingdata file and names in definitiondata file are consistent.

$A Igor Jul 19; tako78 Jul 19

Referenced by IG.Neural.MapDataDefinitionDto.CopyFromPlain(), and IG.Neural.DataMapperSimple.MapOutput().

virtual List<InputMappingDefinitionElement> IG.Neural.MappingDefinition.MapInputElementList
| get

Referenced by IG.Neural.MapDataDefinitionDto.CopyFromPlain().

virtual List<OutputMappingDefinitionElement> IG.Neural.MappingDefinition.MapOutputElementList
| get

Referenced by IG.Neural.MapDataDefinitionDto.CopyFromPlain().

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/testneural/NeuralMapData.cs